
// REMOVED, CHANGED TO PULLDOWN 01/22/2023
//    {
//      "name": "SETTING_LUXMETER",
//      "type": "ACCheckbox",
//      "value": "1",
//      "label": "Enable LUX Meter, Overrides brightness",
//      "checked": "true",
//      "global": "true"
//    },

#ifdef IV_9_6D_RR
const char PAGE_ADD[] PROGMEM = R"(
{
  "uri": "/clockconfig",
  "title": "Clock Config",
  "menu": true,
  "element": [
    {
      "name": "SETTING_BRIGHTNESS",
      "type": "ACInput",
      "label": "Brightness 0-255, max brightness if Lux meter enabled",
      "apply": "number",
      "global": "true"
    },
    {
      "name": "SETTING_LUXMETER",
      "type": "ACSelect",
      "option":  [
          "Disable - default",
          "Enable - Read every second and adjust brightness",
          "Enable - Read every second but do not adjust brightness"
        ],
      "label": "LUX Meter"
    },
    {
      "name": "SETTING_TEMPHUM",
      "type": "ACSelect",
      "option":  [
          "Read every 10 seconds only when display is active - default",
          "Enable - Read every second",
          "Enable - Read every 10 seconds"
        ],
      "label": "Temp/Humidity Sensor"
    },
    {
      "name": "SETTING_TEMP_IN_C",
      "type": "ACCheckbox",
      "value": "1",
      "label": "Temperature, set to Celsius - default is Fahrenheit",
      "checked": "false",
      "global": "true"
    },
    {
      "name": "SETTING_TEMPDISP_SEC",
      "type": "ACInput",
      "label": "Temperature display, every X seconds",
      "apply": "number",
      "global": "true"
    },
    {
      "name": "SETTING_TEMPDISP_DUR",
      "type": "ACInput",
      "label": "Temperature Display, duration in seconds",
      "apply": "number",
      "global": "true"
    },
    {
      "name": "SETTING_TEMP_COMP",
      "type": "ACInput",
      "label": "Temperature compensation in 1/10th degree C",
      "apply": "number",
      "global": "true"
    },
    {
      "name": "SETTING_HUMIDITY_COMP",
      "type": "ACInput",
      "label": "Humidity compensation",
      "apply": "number",
      "global": "true"
    },
    {
      "name": "SETTING_BMP",
      "type": "ACSelect",
      "option":  [
          "Disable - default",
          "Enable - Read every second",
          "Enable - Read every 10 seconds"
        ],
      "label": "BMP280"
    },
    {
      "name": "SETTING_12H",
      "type": "ACCheckbox",
      "value": "1",
      "label": "Enable 12 hour display",
      "checked": "false",
      "global": "true"
    },
    {
      "name": "SETTING_LZBLANK",
      "type": "ACCheckbox",
      "value": "1",
      "label": "Enable leading zero blanking - time only",
      "checked": "false",
      "global": "true"
    },
    {
      "name": "SETTING_DATEFORMAT",
      "type": "ACSelect",
      "option":  [
          "Month Day Year - default",
          "Year Month Day",
          "Day Month Year"
        ],
      "label": "Date Format"
    },
    {
      "name": "SETTING_DATEDISP_SEC",
      "type": "ACInput",
      "label": "Date Display, every X seconds",
      "apply": "number",
      "global": "true"
    },
    {
      "name": "SETTING_DATEDISP_DUR",
      "type": "ACInput",
      "label": "Date Display, duration in seconds",
      "apply": "number",
      "global": "true"
    },
    {
      "name": "SETTING_COLON",
      "type": "ACSelect",
      "option":  [
          "Disable - default",
          "Enable"
        ],
      "label": "Colon"
    },
    {
      "name": "SETTING_TIMEZONE",
      "type": "ACInput",
      "label": "Timezone",
      "apply": "text",
      "global": "true"
    },
    {
      "name": "sometimezonetext",
      "type": "ACText",
      "value": "Example zones:<br>UTC0<br>PST8PDT,M3.2.0,M11.1.0<br>MST7<br>MST7MDT,M3.2.0,M11.1.0<br>CST6CDT,M3.2.0,M11.1.0<br>EST5EDT,M3.2.0,M11.1.0<br>More Timezone codes <a href=http:/\/github.com/nayarsystems/posix_tz_db/blob/master/zones.csv>Here</a><br><br>",
      "style": ""
    },
    {
      "name": "SETTING_TUBEONBOTTOM",
      "type": "ACSelect",
      "option":  [
          "No - Tubes mounted on top silkscreen side",
          "Yes - Tube mounted on bottom of PCB"
        ],
      "label": "Tubes on bottom of PCB"
    },
    {
      "name": "SETTING_ALTDISPLAY",
      "type": "ACSelect",
      "option":  [
          "Standard Display - DEFAULT",
          "Altimeter",
          "RSSI",
          "LUX",
          "Barometer HG"
        ],
      "label": "Alternate Display"
    },
    {
      "name": "somemoretextbla1",
      "type": "ACText",
      "value": "",
      "style": ""
    },
    {
      "name": "add",
      "type": "ACSubmit",
      "value": "Submit",
      "uri": "/clockconfig"
    }
  ]
}
)";
#endif

#ifdef Z57XM6DV2
const char PAGE_ADD[] PROGMEM = R"(
{
  "uri": "/clockconfig",
  "title": "Clock Config",
  "menu": true,
  "element": [
    {
      "name": "SETTING_BRIGHTNESS",
      "type": "ACInput",
      "label": "Brightness 0-255, max brightness if Lux meter enabled",
      "apply": "number",
      "global": "true"
    },
    {
      "name": "SETTING_LUXMETER",
      "type": "ACSelect",
      "option":  [
          "Disable - default",
          "Enable - Read every second and adjust brightness",
          "Enable - Read every second but do not adjust brightness"
        ],
      "label": "LUX Meter"
    },
    {
      "name": "SETTING_TEMPHUM",
      "type": "ACSelect",
      "option":  [
          "Read every 10 seconds only when display is active - default",
          "Enable - Read every second",
          "Enable - Read every 10 seconds"
        ],
      "label": "Temp/Humidity Sensor"
    },
    {
      "name": "SETTING_TEMP_IN_C",
      "type": "ACCheckbox",
      "value": "1",
      "label": "Temperature, set to Celsius - default is Fahrenheit",
      "checked": "false",
      "global": "true"
    },
    {
      "name": "SETTING_TEMPDISP_SEC",
      "type": "ACInput",
      "label": "Temperature display, every X seconds",
      "apply": "number",
      "global": "true"
    },
    {
      "name": "SETTING_TEMPDISP_DUR",
      "type": "ACInput",
      "label": "Temperature Display, duration in seconds",
      "apply": "number",
      "global": "true"
    },
    {
      "name": "SETTING_TEMP_COMP",
      "type": "ACInput",
      "label": "Temperature compensation in 1/10th degree C",
      "apply": "number",
      "global": "true"
    },
    {
      "name": "SETTING_HUMIDITY_COMP",
      "type": "ACInput",
      "label": "Humidity compensation",
      "apply": "number",
      "global": "true"
    },
    {
      "name": "SETTING_BMP",
      "type": "ACSelect",
      "option":  [
          "Disable - default",
          "Enable - Read every second",
          "Enable - Read every 10 seconds"
        ],
      "label": "BMP280"
    },
    {
      "name": "SETTING_12H",
      "type": "ACCheckbox",
      "value": "1",
      "label": "Enable 12 hour display",
      "checked": "false",
      "global": "true"
    },
    {
      "name": "SETTING_LZBLANK",
      "type": "ACCheckbox",
      "value": "1",
      "label": "Enable leading zero blanking - time only",
      "checked": "false",
      "global": "true"
    },
    {
      "name": "SETTING_DATEFORMAT",
      "type": "ACSelect",
      "option":  [
          "Month Day Year - default",
          "Year Month Day",
          "Day Month Year"
        ],
      "label": "Date Format"
    },
    {
      "name": "SETTING_DATEDISP_SEC",
      "type": "ACInput",
      "label": "Date Display, every X seconds",
      "apply": "number",
      "global": "true"
    },
    {
      "name": "SETTING_DATEDISP_DUR",
      "type": "ACInput",
      "label": "Date Display, duration in seconds",
      "apply": "number",
      "global": "true"
    },
    {
      "name": "SETTING_CATHODEPP",
      "type": "ACSelect",
      "option":  [
          "Disable - default",
          "Enable",
          "Enable - override brightness setting to FULL",
          "Enable - override brightness setting to HALF"
        ],
      "label": "Cathode Poisoning Prevention"
    },
    {
      "name": "SETTING_CATHODEPPSTART",
      "type": "ACInput",
      "label": "Cathode Poisoning Prevention Start Hour 0-23 - default 3",
      "apply": "number",
      "global": "true"
    },
    {
      "name": "SETTING_CATHODEPPDUR",
      "type": "ACInput",
      "label": "Cathode Poisoning Prevention Duration 1-24 hours - default 1",
      "apply": "number",
      "global": "true"
    },
    {
      "name": "SETTING_CATHODEPPREV",
      "type": "ACInput",
      "label": "Cathode Poisoning Prevention, Revert to regular display; every X seconds",
      "apply": "number",
      "global": "true"
    },
    {
      "name": "SETTING_CATHODEPPREVD",
      "type": "ACInput",
      "label": "Cathode Poisoning Prevention, Revert to regular display; duration seconds",
      "apply": "number",
      "global": "true"
    },

    {
      "name": "SETTING_COLON",
      "type": "ACSelect",
      "option":  [
          "Disable - default",
          "Enable"
        ],
      "label": "Colon"
    },
    {
      "name": "SETTING_TIMEZONE",
      "type": "ACInput",
      "label": "Timezone",
      "apply": "text",
      "global": "true"
    },
    {
      "name": "sometimezonetext",
      "type": "ACText",
      "value": "Example zones:<br>UTC0<br>PST8PDT,M3.2.0,M11.1.0<br>MST7<br>MST7MDT,M3.2.0,M11.1.0<br>CST6CDT,M3.2.0,M11.1.0<br>EST5EDT,M3.2.0,M11.1.0<br>More Timezone codes <a href=http:/\/github.com/nayarsystems/posix_tz_db/blob/master/zones.csv>Here</a><br><br>",
      "style": ""
    },
    {
      "name": "SETTING_ALTDISPLAY",
      "type": "ACSelect",
      "option":  [
          "Standard Display - DEFAULT",
          "Altimeter",
          "RSSI",
          "LUX",
          "Barometer HG"
        ],
      "label": "Alternate Display"
    },
    {
      "name": "somemoretextbla1",
      "type": "ACText",
      "value": "",
      "style": ""
    },
    {
      "name": "add",
      "type": "ACSubmit",
      "value": "Submit",
      "uri": "/clockconfig"
    }
  ]
}
)";
#endif
